Package org.eclipse.graphiti.features.impl

# Class AbstractAddShapeFeature

java.lang.Object
org.eclipse.graphiti.features.impl.AbstractFeature
org.eclipse.graphiti.features.impl.AbstractAddFeature
org.eclipse.graphiti.features.impl.AbstractAddPictogramElementFeature
org.eclipse.graphiti.features.impl.AbstractAddShapeFeature

All Implemented Interfaces:
  `IAddFeature`, `IFeature`, `IFeatureProviderHolder`, `IAdd`, `IDescription`, `IName`

public abstract class AbstractAddShapeFeature extends AbstractAddPictogramElementFeature
The Class AbstractAddShapeFeature. Add feature especially for pictogram elements.

## Field Summary

### Fields inherited from class org.eclipse.graphiti.features.impl.AbstractAddFeature

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAddShapeFeature(IFeatureProvider fp)`
Creates a new `AbstractAddShapeFeature`.

## Method Summary

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractAddPictogramElementFeature

`canUpdatePictogramElement, setSizeAndLocation, updatePictogramElementNeeded`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractAddFeature

`canExecute, execute, getName`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.func.IAdd

`add, canAdd`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Constructor Details

### AbstractAddShapeFeature

public AbstractAddShapeFeature(IFeatureProvider fp)
Creates a new `AbstractAddShapeFeature`.

Parameters:
  `fp` - the fp